create notification webhook
curl --request POST \
--url https://console.vast.ai/api/v0/webhooks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Ops notifications",
"webhook_url": "https://example.com/vast/webhooks",
"event_types": [
"client:low_credit",
"host:machine_offline"
]
}
'import requests
url = "https://console.vast.ai/api/v0/webhooks/"
payload = {
"name": "Ops notifications",
"webhook_url": "https://example.com/vast/webhooks",
"event_types": ["client:low_credit", "host:machine_offline"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Ops notifications',
webhook_url: 'https://example.com/vast/webhooks',
event_types: ['client:low_credit', 'host:machine_offline']
})
};
fetch('https://console.vast.ai/api/v0/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"webhook": {
"id": 42,
"user_id": 123,
"name": "Ops notifications",
"webhook_url": "https://example.com/vast/webhooks",
"event_types": [
"client:low_credit",
"host:machine_offline"
],
"created_at": 1772490000,
"updated_at": 1772490000,
"webhook_secret": "<WEBHOOK_SECRET>"
},
"enabled_notification_preferences": [
"client:low_credit"
]
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}Notifications
create notification webhook
Create a notification webhook for one or more notification type keys. The response includes the signing secret; store it immediately.
POST
/
api
/
v0
/
webhooks
/
create notification webhook
Authorizations
API key must be provided in the Authorization header
Body
application/json
⌘I